## org.opencyc.uml.statemachine
Class SubmachineState

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.StateVertex
                        |
                        +--org.opencyc.uml.statemachine.State
                              |
                              +--org.opencyc.uml.statemachine.CompositeState
                                    |
                                    +--org.opencyc.uml.statemachine.SubmachineState

public class SubmachineState
extends CompositeState

SubmachineState from the UML State_Machines package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected StateMachine` `submachine` the sub state machine

Fields inherited from class org.opencyc.uml.statemachine.CompositeState
`isConcurrent, isRegion, subVertex`

Fields inherited from class org.opencyc.uml.statemachine.State
`deferrableEvent, doActivity, doActivityThread, entry, exit, internalTransition, isActive, stateInterpreter, stateMachine`

Fields inherited from class org.opencyc.uml.statemachine.StateVertex
`container, incoming, outgoing`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`SubmachineState()` Constructs a new SubmachineState object.

Method Summary
`StateMachine` `getSubmachine()` Gets the sub state machine
`void` `setSubmachine(StateMachine submachine)` Sets the sub state machine

Methods inherited from class org.opencyc.uml.statemachine.CompositeState
`getSubVertex, isConcurrent, isRegion, setIsConcurrent, setIsRegion, setSubVertex`

Methods inherited from class org.opencyc.uml.statemachine.State
`getDeferrableEvent, getDoActivity, getDoActivityThread, getEntry, getExit, getInternalTransition, getStateInterpreter, getStateMachine, isActive, setDeferrableEvent, setDoActivity, setDoActivityThread, setEntry, setExit, setInternalTransition, setIsActive, setStateInterpreter, setStateMachine`

Methods inherited from class org.opencyc.uml.statemachine.StateVertex
`getContainer, getIncoming, getOutgoing, setContainer, setIncoming, setOutgoing`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### submachine

    protected StateMachine submachine

  the sub state machine

Constructor Detail

### SubmachineState

    public SubmachineState()

  Constructs a new SubmachineState object.

Method Detail

### getSubmachine

    public StateMachine getSubmachine()

  Gets the sub state machine
  Returns:
    the sub state machine

### setSubmachine

    public void setSubmachine(StateMachine submachine)

  Sets the sub state machine
  Parameters:
    `submachine` - the sub state machine